<?php
    /**
 * Copyright (c) 2019. IOWEB TECHNOLOGIES
 */

    /**
     * Created by IntelliJ IDEA.
     * User: gabtz
     * Date: 5/3/2019
     * Time: 11:06 PM
     */

    namespace Ioweb\Base\Block\Adminhtml\Form\Field;


    use Magento\Framework\Data\Form\Element\Multiselect;
    use Magento\Framework\View\Element\BlockInterface;
    use Magento\Framework\View\Element\Html\Select;

    class MultiSelectField extends Select
    {

        /**
         * Sets name for input element. Because the value is an array of values in multiselect element we have to use the .'[]' to denote it
         *
         * @param string $value
         * @return $this
         */
        public function setInputName($value)
        {
            return $this->setName($value.'[]');
        }

        /**
         * this will add the multiple attribute
         * @return string
         */
        public function getExtraParams()
        {
            return ' multiple="multiple" ';
        }

    }