<?php
/**
 * Copyright (c) 2017. IOWEB TECHNOLOGIES
 */

namespace Ioweb\Base\Controller\Index;

    use Magento\Framework\App\Action\Context;
    use Magento\Framework\View\Result\PageFactory;
    use Magento\Framework\App\Action\Action;

    /**
     * Class Index
     * @package Ioweb\Base\Controller\Index\Index
     */
    class Index extends Action
    {


        /**
         * Index resultPageFactory
         * @var PageFactory
         */
        protected $resultPageFactory;

        /**
         * Index constructor.
         * @param Context $context
         * @param PageFactory $resultPageFactory
         */
        public function __construct(Context $context, PageFactory $resultPageFactory)
        {
            $this->resultPageFactory = $resultPageFactory;
            return parent::__construct($context);
        }

        /**
         * Function execute
         * @return \Magento\Framework\View\Result\Page
         */
        public function execute()
        {
            return $this->resultPageFactory->create();
        }
    }
