<?php
/*
 * Copyright (c) 2020. IOWEB TECHNOLOGIES
 */

namespace Ioweb\Base\Helper;


use Magento\Framework\App\Helper\AbstractHelper;

class Block extends AbstractHelper
{
    /**
     * Generate a unique ID that can be used by templates in html and jquery
     * @param $prefix
     * @return string|string[]
     *
     */
    public function getUniqId($prefix = ''){
        return str_replace(".", "-", uniqid($prefix, true));
    }

}
